Skip to navigation

Get Box by ID

Get a single Box by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

box_idstringRequired
ID of the Box.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
creatorobject or nullOptional
schemaFieldslist of objects or nullOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableCapacityintegerOptional
The number of available positions in the box.
barcodestring or nullOptional
createdAtstring or nullOptional
emptyContainersinteger or nullOptional
The number of containers in the box that have no contents.
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
occupiedCapacityintegerOptional
The number of containers currently in the box.
parentStorageobject or nullOptional
projectobject or nullOptional
schemaobject or nullOptional
totalCapacityintegerOptional

The total capacity of the box (i.e. how many containers it can store).

Errors

400
Box Get Request Bad Request Error
403
Box Get Request Forbidden Error
404
Box Get Request Not Found Error
429
Box Get Request Too Many Requests Error
500
Box Get Request Internal Server Error